=== debian/changelog ===
pidgin-mra (0.1.4.1) unstable; urgency=low

  * Inital release

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 15 Jan 2011 21:50:45 +0300
