## pidgin-mra 0.1.4.1-maemo0

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,10 @@
 	install img/mra16.png ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/16/mra.png
 	install img/mra22.png ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/22/mra.png
 	install img/mra48.png ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/48/mra.png
-	install -d -m 0755    ${DESTDIR}/usr/share/pixmaps/pidgin/protocols/48/
-	install mra.profile ${DESTDIR}/usr/share/osso-rtcom
-	install -d -m 0755    ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon
-	install im-mrim.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon
+	install -d -m 0755    ${DESTDIR}/usr/share/osso-rtcom/
+	install mra.profile ${DESTDIR}/usr/share/osso-rtcom/mra.profile
+	install -d -m 0755    ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/
+	install im-mrim.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/im-mrim.png
 
 uninstall:
 	rm -f ${DESTDIR}/usr/lib/purple-2/libmra.so
@@ -39,8 +39,8 @@
 	install img/mra16.png /usr/share/pixmaps/pidgin/protocols/16/mra.png
 	install img/mra22.png /usr/share/pixmaps/pidgin/protocols/22/mra.png
 	install img/mra48.png /usr/share/pixmaps/pidgin/protocols/48/mra.png
-	install mra.profile ${DESTDIR}/usr/share/osso-rtcom
-	install im-mrim.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon
+	install mra.profile /usr/share/osso-rtcom/mra.profile
+	install im-mrim.png /usr/share/icons/hicolor/48x48/hildon/im-mrim.png
 
 uninstall:
 	rm -f /usr/lib/purple-2/libmra.so
