=== debian/changelog ===
pidgin-mra (0.1.4.1-maemo0) unstable; urgency=low

  * Fix problems

 -- Eugene Degtyarev <degtep@gmail.com>  Fri, 21 Jan 2011 22:22:05 +0300
