=== debian/changelog ===
pidgin-mra (20100304-1) unstable; urgency=low

  * Initial release. (Closes: #679379)

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 28 Jun 2012 11:50:26 +0400
