=== debian/control ===
Source: pidgin-mra
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 3.9.3
Priority: optional
Section: net
Homepage: https://github.com/dreadatour/pidgin-mra
Build-Depends: cdbs, debhelper (>= 9),
	pkg-config,
	pidgin-dev

Package: pidgin-mra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mail.ru Agent protocol plugin for Pidgin IM
 The plugin enables Mail.ru Agent protocol in Pidgin IM.

Package: pidgin-mra-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pidgin-mra (= ${binary:Version})
Description: Mail.ru Agent protocol plugin for Pidgin IM
 The plugin enables Mail.ru Agent protocol in Pidgin IM.
 .
 The package contains debug symbols for pidgin-mra.
